Package org.drinkless.tdlib

# Class TdApi.Animation

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Animation

Enclosing class:
  `TdApi`

public static class TdApi.Animation extends TdApi.Object
Describes an animation file. The animation must be encoded in GIF or MPEG4 format.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.File`
  `animation`
  File containing the animation.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `duration`
  Duration of the animation, in seconds; as defined by the sender.
  `String`
  `fileName`
  Original name of the file; as defined by the sender.
  `boolean`
  `hasStickers`
  True, if stickers were added to the animation.
  `int`
  `height`
  Height of the animation.
  `String`
  `mimeType`
  MIME type of the file, usually "image/gif" or "video/mp4".
  `TdApi.Minithumbnail`
  `minithumbnail`
  Animation minithumbnail; may be null.
  `TdApi.Thumbnail`
  `thumbnail`
  Animation thumbnail in JPEG or MPEG4 format; may be null.
  `int`
  `width`
  Width of the animation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Animation()`
  Describes an animation file.
  `Animation(int duration, int width, int height, String fileName, String mimeType, boolean hasStickers, TdApi.Minithumbnail minithumbnail, TdApi.Thumbnail thumbnail, TdApi.File animation)`
  Describes an animation file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### duration

    public int duration
    Duration of the animation, in seconds; as defined by the sender.

  - ### width

    public int width
    Width of the animation.

  - ### height

    public int height
    Height of the animation.

  - ### fileName

    public String fileName
    Original name of the file; as defined by the sender.

  - ### mimeType

    public String mimeType
    MIME type of the file, usually "image/gif" or "video/mp4".

  - ### hasStickers

    public boolean hasStickers
    True, if stickers were added to the animation. The list of corresponding sticker set can be received using getAttachedStickerSets.

  - ### minithumbnail

    @Nullable public TdApi.Minithumbnail minithumbnail
    Animation minithumbnail; may be null.

  - ### thumbnail

    @Nullable public TdApi.Thumbnail thumbnail
    Animation thumbnail in JPEG or MPEG4 format; may be null.

  - ### animation

    public TdApi.File animation
    File containing the animation.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Animation

    public Animation()
    Describes an animation file. The animation must be encoded in GIF or MPEG4 format.

  - ### Animation

    public Animation(int duration, int width, int height, String fileName, String mimeType, boolean hasStickers, TdApi.Minithumbnail minithumbnail, TdApi.Thumbnail thumbnail, TdApi.File animation)
    Describes an animation file. The animation must be encoded in GIF or MPEG4 format.
    Parameters:
      `duration` - Duration of the animation, in seconds; as defined by the sender.
      `width` - Width of the animation.
      `height` - Height of the animation.
      `fileName` - Original name of the file; as defined by the sender.
      `mimeType` - MIME type of the file, usually "image/gif" or "video/mp4".
      `hasStickers` - True, if stickers were added to the animation. The list of corresponding sticker set can be received using getAttachedStickerSets.
      `minithumbnail` - Animation minithumbnail; may be null.
      `thumbnail` - Animation thumbnail in JPEG or MPEG4 format; may be null.
      `animation` - File containing the animation.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR